/*
 * Copyright (C) 2004 Laszlo Pere
 * $Id:$
 *
 * This is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Library General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Log:$
 */
#ifndef CUITERMINAL_H
#define CUITERMINAL_H

/******************************************************************************
 * CuiTerminal class                                                          *
 *                                                                            *
 ******************************************************************************/
#define CUI_TERMINAL_TYPE (cui_terminal_get_type())
#define CUI_(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), CUI_TERMINAL_TYPE, CuiTerminal))
#define CUI_TERMINAL_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), CUI_TERMINAL_TYPE, CuiTerminalClass))
#define CUI_IS_TERMINAL(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), CUI_TERMINAL_TYPE))
#define CUI_IS_TERMINAL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), CUI_TERMINAL_TYPE))
#define CUI_TERMINAL_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), CUI_TERMINAL_TYPE, CuiTerminalClass))

typedef struct _CuiTerminal CuiTerminal;

struct _CuiTerminal
{
	GtkTextView parent;
	/*< public >*/
};

typedef struct {
	GtkTextViewClass parent_class;
} CuiTerminalClass;

GType cui_terminal_get_type(void);

/*
 * Public functions.
 */
GtkWidget *cui_terminal_new(void);

#endif

